Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/dmp/leadEvents
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"eventId": "string",
"eventType": "string",
"sourceId": "string",
"sourceInfos": [
{
"id": "string",
"sourceId": "string",
"sourceName": "string",
"sourceUploadTime": 0,
"sourceType": "string"
}
],
"attributes": [
{
"key": "string",
"value": {},
"fieldType": "string"
}
],
"demographics": {
"age": 0,
"gender": "string"
},
"user": {
"customerId": "string",
"email": "string",
"phoneNo": "string",
"firstName": "string",
"lastName": "string",
"fullName": "string",
"anonymousId": "string",
"phoneDetails": [
{
"phoneNo": "string",
"countryCode": "string",
"countryId": "string",
"type": "string",
"connectivity": 0.1
}
],
"emailDetails": [
{
"email": "string",
"type": "string"
}
],
"attributes": [
{
"key": "string",
"value": {},
"fieldType": "string"
}
]
},
"deleted": true
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }